> ## Documentation Index
> Fetch the complete documentation index at: https://docs.avrxt.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Listening activity

> The Spotify-compatible listening endpoint backed by Last.fm.



## OpenAPI

````yaml GET /spotify/now-playing
openapi: 3.1.1
info:
  title: AVRXT Public API
  version: v1
  description: >-
    The public AVRXT API gateway. Use HTTPS and JSON for all requests and
    responses.
  contact:
    name: AVRXT
    url: https://www.avrxt.dev/contact
  license:
    name: AVRXT Terms
    url: https://www.avrxt.dev/legal/terms
servers:
  - url: https://api.avrxt.dev/v1
    description: Production
security: []
tags:
  - name: System
    description: Service availability and public status.
  - name: Content
    description: Public metadata and media output.
  - name: Integrations
    description: Read-only public integration data.
externalDocs:
  description: AVRXT API reference
  url: https://docs.avrxt.dev/api-reference/overview
paths:
  /spotify/now-playing:
    get:
      tags:
        - Integrations
      summary: Read the current or latest Spotify track
      operationId: getNowPlaying
      responses:
        '200':
          description: Spotify listening state
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  responses:
    ServiceUnavailable:
      description: The service or an upstream integration is unavailable.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.